searchNodes=[{"doc":"","ref":"StreamSplit.html","title":"StreamSplit","type":"module"},{"doc":"This function looks at the first n items in a stream. The remainder of the enumerable is returned as a stream that may be lazily enumerated at a later time. You may think of this function as popping n items of the enumerable, then pushing them back after making a copy. Use this function with a stream to peek at items, but not iterate a stream with side effects more than once. Examples iex&gt; {head, new_enum} = peek(Stream.cycle(1..3), 4) iex&gt; head [1, 2, 3, 1] iex&gt; Enum.take(new_enum, 7) [1, 2, 3, 1, 2, 3, 1]","ref":"StreamSplit.html#peek/2","title":"StreamSplit.peek/2","type":"function"},{"doc":"This function may be seen as splitting head and tail for a List, but for enumerables. It is implemented on top of take_and_drop/2 Examples iex&gt; {head, tail} = pop(Stream.cycle(1..3)) iex&gt; head 1 iex&gt; Enum.take(tail, 7) [2, 3, 1, 2, 3, 1, 2]","ref":"StreamSplit.html#pop/1","title":"StreamSplit.pop/1","type":"function"},{"doc":"This function is a combination of Enum.take/2 and Enum.drop/2 returning first n dropped elements and the rest of the enum as a stream. The important difference is that the enumerable is only iterated once, and only for the required n items. The rest of the enumerable may be iterated lazily later from the returned stream. Examples iex&gt; {head, tail} = take_and_drop(Stream.cycle(1..3), 4) iex&gt; head [1, 2, 3, 1] iex&gt; Enum.take(tail, 7) [2, 3, 1, 2, 3, 1, 2]","ref":"StreamSplit.html#take_and_drop/2","title":"StreamSplit.take_and_drop/2","type":"function"},{"doc":"StreamSplit Split a stream into a head and tail, or peek at the first n items in a stream. Both without iterating the tail of the enumerable.","ref":"readme.html","title":"StreamSplit","type":"extras"},{"doc":"[http://hexdocs.pm/stream_split/]","ref":"readme.html#docs","title":"StreamSplit - Docs","type":"extras"},{"doc":"iex&gt; {head, tail} = StreamSplit.take_and_drop(Stream.cycle(1..3), 4) iex&gt; head [1, 2, 3, 1] iex&gt; Enum.take(tail, 7) [2, 3, 1, 2, 3, 1, 2] iex&gt; {head, new_enum} = StreamSplit.peek(Stream.cycle(1..3), 4) iex&gt; head [1, 2, 3, 1] iex&gt; Enum.take(new_enum, 7) [1, 2, 3, 1, 2, 3, 1]","ref":"readme.html#usage","title":"StreamSplit - Usage","type":"extras"},{"doc":"The package can be installed as: Add stream_split to your list of dependencies in mix.exs: def deps do [{:stream_split, &quot;~&gt; 0.1.0&quot;}] end","ref":"readme.html#installation","title":"StreamSplit - Installation","type":"extras"}]